%define	name	evas
%define	version	0.6.0
%define	release	1mdk
%define major 0
%define libname	lib%{name}%{major}

Summary: Enlightened Canvas Library
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: System/Libraries
URL: http://www.enlightenment.org/
Source: ftp://ftp.enlightenment.org/enlightenment/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: imlib2 >= 1.0.4
Requires: %{libname} = %{version}-%{release}
BuildRequires: libimlib2_1-devel
BuildRequires: XFree86-devel

%description
Evas is an advanced canvas library, providing three backends for
rendering: X11 (without some features like alpha-blending), imlib2, or
OpenGL (hardware accelerated). Due to its simple API, evas can be
developed with rapidly, and cleanly.

Install evas if you want to develop applications against the only
hardware-accelerated canvas library, or if you want to try out the
applications under development.

%package -n %{libname}
Summary: Enlightened Canvas Libraries.
Group: System/Libraries
Provides: lib%{name} = %{version}

%description -n %{libname}
Evas canvas libraries

%package -n %{libname}-devel
Summary: Enlightened Canvas Library headers and development libraries.
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}

%description -n %{libname}-devel
Evas development headers and development libraries.

%prep
%setup -q

%build
if [ -e ./configure ]
then
	%configure 
else
  ./autogen.sh --prefix=%{_prefix}
fi
%make

%install
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/evas_*
%{_datadir}/evas/fnt
%{_datadir}/evas/img

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libevas.so.*
%{_datadir}/aclocal/evas.m4
%doc AUTHORS FAQ-EVAS COPYING README doc/evas.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libevas.so
%{_libdir}/libevas.*a
%{_includedir}/Evas.h
%{_bindir}/evas-config
%{_datadir}/evas/doc

%changelog
* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.0-1mdk 
* Wed Aug 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> cvs20020821-1mdk
- first mdk package from Yves Mettier <ymettier@libertysurf.fr>
- cleanup
- mdk adaptation
